Kerbal Space Program - Bug #23516

Dessert Launchpad and Airfield doesn't have mass limit check

09/05/2019 12:20 AM - flart

Status: Closed Start date: 09/05/2019
Severity: Low % Done: 100%
Assignee: just_jim

Category: Bug Tracker

Target version: 1.8.0

Version: 1.7.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

The Dessert Launchpad and Airfield doesn't have the mass limit check, while the Woomerang LaunchSite and Island Airfield (and

obviously The Launchpad, and The Runway) have th

e checks.

Launching a 181t vessel with Level2_LaunchPad (Max. 140t) on all 3 launchsites log checks:

// the Launchpad

[LOG 02:22:27.549]
[LOG 02:22:27.555]
[LOG 02:22:27.565]
[LOG 02:22:31.619]

Pre-Flight Check
Pre-Flight Check
Pre-Flight Check

[
[
[
[Pre-Flight Check

// Woomerang

[LOG 02:22:45.995] [Pre-Flight Check
[LOG 02:22:45.997] [Pre-Flight Check
[LOG 02:22:46.002] [Pre-Flight Check
[LOG 02:22:48.766] [Pre-Flight Check

// Dessert

[LOG 02:24:54.956] [Pre-Flight Check]
[LOG 02:24:54.957] [Pre-Flight Check]
[LOG 02:24:54.959] [Pre-Flight Check]:
[LOG 02:24:54.961] [Pre-Flight Check]
[LOG 02:24:54.964] [Pre-Flight Check]
[LOG 02:24:54.967] [Pre-Flight Check]

Checking for CraftWithinPartCountLimit: PASS!
Checking for CraftWithinSizeLimits: PASS!
Checking for CraftWithinMassLimits: FAIL!
Launch Aborted.

Checking for CraftWithinPartCountLimit: PASS!
Checking for CraftWithinSizeLimits: PASS!
Checking for CraftWithinMassLimits: FAIL!
Launch Aborted.

Checking
Checking
Checking
Checking
Checking

for
for
for
for
for

LaunchSiteClear:
: All Checks Complete.

CraftWithinPartCountLimit: PASS!
ExperimentalPartsAvailable: PASS!
CanAffordLaunchTest: PASS!
NoControlSources: PASS!

PASS!

Go for Launch!

Since a player upgrades only the Launchpad and the Runways, it is make sense that increasing limitation doesn't propagate to other

unchangeable launchsites and airfields.

On the other hand, in the VAB/SPH we see these mass limitation in the craft engineering log, and nothing tell us, that the mass is
limited only for the Launchpad and not for other launchsites.

So:

Easy fix: make all checks the same (enable mass check on dessert objects);
Complex fix: leave mass check only for the Launchpad and the Runway, and make changes to the GUI for telling user about

unlimited mass for other launchsites.

Hard fix: make all runways and launchsites independently upgradable (add their icons to the main KerbalSpaceCenter window, new

models per level, and so on)

History

#1 - 09/05/2019 01:10 AM - flart

Same for the Size Limits checks.

#2 - 09/12/2019 12:19 AM - just_jim
- Status changed from New to Confirmed

- % Done changed from 0 to 10
#4 - 10/17/2019 07:43 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.8.0

- % Done changed from 10 to 80

We've made some changes in the latest version and would like some feedback on this issue. Thanks.

#5 - 10/20/2019 10:07 PM - flart

Desserts have the same checks as others, but name of the specific launchsite (ex. Dessert Airfield) isn't showed in the message
https://i.imgur.com/2HfjKxu.png.
instead used Launchpad/Runway for all launchsites.

#6 - 10/22/2019 05:01 PM - just_jim

- Assignee set to just jim

#7 - 10/22/2019 05:04 PM - just_jim
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#9 - 10/22/2019 05:24 PM - chris.fulton

- Status changed from Resolved to Closed
